---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: cert-manager
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  labels:
    app: cert-manager
spec:
  syncPolicy:
    automated:
      prune: true
  destination:
    name: in-cluster
    namespace: cert-manager
  project: default
  source:
    chart: cert-manager
    repoURL: https://charts.jetstack.io
    targetRevision: v1.4.0
    helm:
      parameters:
        - name: installCRDs
          value: 'true'
      values: |
        installCRDs: true
        fullnameOverride: cert-manager
        podDnsPolicy: "None"
        podDnsConfig:
          nameservers:
            - "1.1.1.1"
            - "1.0.0.1"
        resources:
          requests:
            cpu: 50m
            memory: 64Mi
        nodeSelector:
          node-role.kubernetes.io/critical: "true"
        tolerations:
          - key: critical
            effect: NoSchedule
        prometheus:
          serviceMonitor:
            enabled: true
        webhook:
          resources:
            requests:
              cpu: 50m
              memory: 32Mi
        cainjector:
          resources:
            requests:
              cpu: 50m
              memory: 128Mi
  ignoreDifferences:
    - group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      jsonPointers:
        - /spec/validation/openAPIV3Schema/properties/spec/properties/solver/properties/dns01/properties/webhook/properties/config/x-kubernetes-preserve-unknown-fields
        - /spec/validation/openAPIV3Schema/properties/spec/properties/acme/properties/solvers/items/properties/dns01/properties/webhook/properties/config/x-kubernetes-preserve-unknown-fields
